@import '../main';

.collection-room {
    background-color: $gray-100;
    width: 100%;
    margin: 0 auto;

    .collection-room-epis {
        @media screen and (max-width: 768px) {
            width: 100%;
        }
    }

    &__title {

        background-color: $gray-100;

        &__text {
            color: $main-color;
        }
    }
    
    .collection-room-elements {
        display: flex;
        justify-content: center;
        flex-wrap: wrap ;

        
        .collection-room-card {
            position: relative;
            height: auto;
            width: 200px;
            margin: 10px;
            border-radius: 5px;
            overflow: hidden;
            box-shadow: 0 3px 5px rgba(0, 0, 0, 0.5);

            @media screen and (max-width: 768px) {
                width: 100%;
            }
            
            .collection-room-card-infos {
                width: 100%;
                position: absolute;
                bottom: 0;
                padding: 5px;
                background-color: $primary;
                color: $white;
                display: flex;
                justify-content: center;
                align-items: center;
                text-align: center;

                &__title {
                    font-size: 1rem;
                    font-weight: 600;
                    margin-bottom: 0px;
                }
            }

            img {
                width: 100%;
                height: 100%;
                object-fit: cover;

                &:hover {
                    transform: scale(1.1);
                    transition: all 0.5s ease;
                }
            }
        }
    }
}